Subject: bug#63550: closed (Re: bug#63550: proced-refine-with-update-test is racy)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 28 May 2023 11:40:03 +0000

Your bug report

#63550: proced-refine-with-update-test is racy

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63550: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63550
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#63550: proced-refine-with-update-test is racy
From: Mattias Engdegård <[email-masked]>
To: Laurence Warne <[email-masked]>
Cc: Basil Contovounesios <[email-masked]>, Eli Zaretskii <[email-masked]>, [email-masked]
Date: Sun, 28 May 2023 13:39:16 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

27 maj 2023 kl. 21.14 skrev Laurence Warne <[email-masked]>:

> Sorry I was wrong here, if the process used for the refinement exited between proced being called, and then `(proced-update t)` being called, then the whole process list will be shown as proced would skip applying the refinement.  So I think using (proced-update) instead of (proced-update t) is the simplest fix since it means `proced-process-alist` will never be refreshed.  I've re-attached the patch from before, but with a bit more explanation.

Looks fine, applied and pushed and closing the bug. Thank you!
(I took the liberty to reflow the comments to fit within 80 columns.)

Subject: proced-refine-with-update-test is racy
From: Mattias Engdegård <[email-masked]>
To: Emacs Bug Report <[email-masked]>
Cc: Laurence Warne <[email-masked]>
Date: Wed, 17 May 2023 11:38:22 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

The proced test `proced-refine-with-update-test` seems to have an update race which makes it fail randomly. (This is on macOS, but I see no reason it would be much different elsewhere.)
I'm marking it :unstable for now.